VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
PlugInterfaceSupport Class Reference
Common Hosting SDK Implementation Helper Classes

Example implementation of IPlugInterfaceSupport. More...

`#include <pluginterfacesupport.h>`

Inheritance diagram for PlugInterfaceSupport:

## Public Member Functions
| PlugInterfaceSupport ()
virtual | ~PlugInterfaceSupport ()=default
tresult | isPlugInterfaceSupported (const TUID _iid) SMTG_OVERRIDE
void | addPlugInterfaceSupported (const TUID _iid)
bool | removePlugInterfaceSupported (const TUID _iid)

## Additional Inherited Members
Static Public Attributes inherited from IPlugInterfaceSupport
static const FUID | iid

## Detailed Description

Example implementation of IPlugInterfaceSupport.

## Constructor & Destructor Documentation

PlugInterfaceSupport | ( |  | ) |

virtual ~PlugInterfaceSupport | ( |  | ) |
| virtual default

## Member Function Documentation

tresult isPlugInterfaceSupported | ( | const TUID | _iid | ) |
| virtual

Implements IPlugInterfaceSupport.

void addPlugInterfaceSupported | ( | const TUID | _iid | ) |

bool removePlugInterfaceSupported | ( | const TUID | _iid | ) |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.